{
  nix = {
    settings = {
      experimental-features = "nix-command flakes";             # enable flakes
      substituters = [ "https://hyprland.cachix.org" ];         # pre compiled hyprland packages
      trusted-public-keys = [ "hyprland.cachix.org-1:a7pgxzMz7+chwVL3/pzj6jIBMioiJM7ypFP8PwtkuGc=" ];
    };
    gc = {
      automatic= true;
      dates = "daily";
      options = "--delete-older-than 2d";
    };
  };
}
